Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_IIOP_Endpoint Class Reference

TAO_IIOP_Endpoint. More...

`#include <IIOP_Endpoint.h>`

Inheritance diagram for TAO_IIOP_Endpoint

[legend]
Collaboration diagram for TAO_IIOP_Endpoint:

[legend]
List of all members.

## Public Methods
| TAO_IIOP_Endpoint (void)
| Default constructor.
| TAO_IIOP_Endpoint (const char *host, CORBA::UShort port, const ACE_INET_Addr &addr)
| Constructor. This is the most efficient constructor since it does not require any address resolution processing.
| TAO_IIOP_Endpoint (const ACE_INET_Addr &addr, int use_dotted_decimal_addresses)
| Constructor.
| TAO_IIOP_Endpoint (const char *host, CORBA::UShort port, CORBA::Short priority)
| Constructor. This constructor is used when decoding endpoints.
| ~TAO_IIOP_Endpoint (void)
| Destructor.
virtual TAO_Endpoint* | next (void)
| Endpoints can be stringed in a list. Return the next endpoint in the list, if any.
virtual int | addr_to_string (char *buffer, size_t length)
virtual void | reset_hint (void)
| This method is used when a connection has been reset, requiring the hint to be cleaned up and reset to NULL.
virtual TAO_Endpoint* | duplicate (void)
| Makes a copy of <this>.
CORBA::Boolean | is_equivalent (const TAO_Endpoint *other_endpoint)
| Return true if this endpoint is equivalent to <other_endpoint>. Two endpoints are equivalent iff their port and host are the same.
CORBA::ULong | hash (void)
| Return a hash value for this object.
const ACE_INET_Addr& | object_addr (void) const
| Return a reference to the <object_addr>.
const char* | host (void) const
| Return a pointer to the host string. This object maintains ownership of this string.
const char* | host (const char *h)
| Copy the string <h> into <host_> and return the resulting pointer. This object maintains ownership of this string.
CORBA::UShort | port (void) const
| Return the port number.
CORBA::UShort | port (CORBA::UShort p)
| Set the port number.
## Private Methods
int | set (const ACE_INET_Addr &addr, int use_dotted_decimal_addresses)
| Helper method for setting INET_Addr.
## Private Attributes
CORBA::String_var | host_
| String representing the host name.
CORBA::UShort | port_
| TCP port number.
ACE_INET_Addr | object_addr_
| Cached instance of for use in making invocations, etc.
TAO_IIOP_Endpoint* | next_
| IIOP Endpoints can be stringed into a list. Return the next endpoint in the list, if any.
## Friends
class | TAO_IIOP_Profile
class | TAO_SSLIOP_Profile

## Detailed Description

TAO_IIOP_Endpoint.

IIOP-specific implementation of PP Framework Endpoint interface.

## Constructor & Destructor Documentation

TAO_IIOP_Endpoint::TAO_IIOP_Endpoint ( | void )

| Default constructor.

TAO_IIOP_Endpoint::TAO_IIOP_Endpoint ( | const char * host,
| CORBA::UShort port,
| const ACE_INET_Addr & addr )

| Constructor. This is the most efficient constructor since it does not require any address resolution processing.

TAO_IIOP_Endpoint::TAO_IIOP_Endpoint ( | const ACE_INET_Addr & addr,
| int use_dotted_decimal_addresses )`[inline]`

| Constructor.

TAO_IIOP_Endpoint::TAO_IIOP_Endpoint ( | const char * host,
| CORBA::UShort port,
| CORBA::Short priority )

| Constructor. This constructor is used when decoding endpoints.

TAO_IIOP_Endpoint::~TAO_IIOP_Endpoint ( | void )

| Destructor.

## Member Function Documentation

int TAO_IIOP_Endpoint::addr_to_string ( | char * buffer,
| size_t length )`[virtual]`

| Return a string representation for the address. Returns -1 if buffer is too small. The purpose of this method is to provide a general interface to the underlying address object's addr_to_string method. This allows the protocol implementor to select the appropriate string format. Reimplemented from TAO_Endpoint.

TAO_Endpoint * TAO_IIOP_Endpoint::duplicate ( | void )`[virtual]`

| Makes a copy of <this>. Reimplemented from TAO_Endpoint.

CORBA::ULong TAO_IIOP_Endpoint::hash ( | void )`[virtual]`

| Return a hash value for this object. Reimplemented from TAO_Endpoint.

const char * TAO_IIOP_Endpoint::host ( | const char * h )

| Copy the string <h> into <host_> and return the resulting pointer. This object maintains ownership of this string.

ACE_INLINE const char * TAO_IIOP_Endpoint::host ( | void ) const

| Return a pointer to the host string. This object maintains ownership of this string.

CORBA::Boolean TAO_IIOP_Endpoint::is_equivalent ( | const TAO_Endpoint * other_endpoint )`[virtual]`

| Return true if this endpoint is equivalent to <other_endpoint>. Two endpoints are equivalent iff their port and host are the same. Reimplemented from TAO_Endpoint.

TAO_Endpoint * TAO_IIOP_Endpoint::next ( | void )`[virtual]`

| Endpoints can be stringed in a list. Return the next endpoint in the list, if any. Reimplemented from TAO_Endpoint.

ACE_INLINE const ACE_INET_Addr & TAO_IIOP_Endpoint::object_addr ( | void ) const

| Return a reference to the <object_addr>.

ACE_INLINE CORBA::UShort TAO_IIOP_Endpoint::port ( | CORBA::UShort p )

| Set the port number.

ACE_INLINE CORBA::UShort TAO_IIOP_Endpoint::port ( | void ) const

| Return the port number.

void TAO_IIOP_Endpoint::reset_hint ( | void )`[virtual]`

| This method is used when a connection has been reset, requiring the hint to be cleaned up and reset to NULL. Reimplemented from TAO_Endpoint.

int TAO_IIOP_Endpoint::set ( | const ACE_INET_Addr & addr,
| int use_dotted_decimal_addresses )`[private]`

| Helper method for setting INET_Addr.

## Friends And Related Function Documentation

class TAO_IIOP_Profile`[friend]`

class TAO_SSLIOP_Profile`[friend]`

## Member Data Documentation

CORBA::String_var TAO_IIOP_Endpoint::host_`[private]`

| String representing the host name.

TAO_IIOP_Endpoint * TAO_IIOP_Endpoint::next_`[private]`

| IIOP Endpoints can be stringed into a list. Return the next endpoint in the list, if any.

ACE_INET_Addr TAO_IIOP_Endpoint::object_addr_`[private]`

| Cached instance of for use in making invocations, etc.

CORBA::UShort TAO_IIOP_Endpoint::port_`[private]`

| TCP port number.

The documentation for this class was generated from the following files:

- IIOP_Endpoint.h
- IIOP_Endpoint.cpp
- IIOP_Endpoint.i